Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class EnumSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.SimpleSerializer
          org.apache.axis.encoding.ser.EnumSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer, SimpleValueSerializer

public class EnumSerializer
extends SimpleSerializer

Serializer for a JAX-RPC enum.

Author:
  Rich Scheuerle , Sam Ruby
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.encoding.ser.SimpleSerializer
`javaType, VALUE_PROPERTY, xmlType`

Constructor Summary
`EnumSerializer(java.lang.Class javaType, QName xmlType)`

Method Summary
`java.lang.String` | `getValueAsString(java.lang.Object value, SerializationContext context)` Return an XML compatible representation of the value.
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize an enumeration
`org.w3c.dom.Element` | `writeSchema(java.lang.Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class org.apache.axis.encoding.ser.SimpleSerializer
`getMechanismType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### EnumSerializer

    public EnumSerializer(java.lang.Class javaType,
                          QName xmlType)

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize an enumeration

  Specified by:
    `serialize` in interface `Serializer`
  Overrides:
    `serialize` in class `SimpleSerializer`
  Throws:
    `java.io.IOException`

### getValueAsString

    public java.lang.String getValueAsString(java.lang.Object value,
                                             SerializationContext context)

  Description copied from interface: `SimpleValueSerializer`
  Return an XML compatible representation of the value.

  Specified by:
    `getValueAsString` in interface `SimpleValueSerializer`
  Overrides:
    `getValueAsString` in class `SimpleSerializer`

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           Types types)
                                    throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Overrides:
    `writeSchema` in class `SimpleSerializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `java.lang.Exception`
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.